%define	upstream_name	 Digest-SHA1
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Perl interface to the SHA1 Algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
Digest-SHA1 module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 2.130.0-5.mga1
+ Revision: 31621
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.130.0-4.mga1
+ Revision: 23292
- rebuild for perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 2.130.0-3.mga1
+ Revision: 2493
- imported package perl-Digest-SHA1

